﻿@model CompanyModel
@{
    ViewData["Title"] = "Company";
    ViewData.AddActivePage(ManageNavPages.Company);
}

<h4>@ViewData["Title"]</h4>
<hr />
@Html.Partial("_StatusMessage", Model.StatusMessage)
<div class="row">
    <div class="col-md-6">
        <form method="post">
            @if (User.IsInRole("Admin"))
            {
                <div asp-validation-summary="All" class="text-danger"></div>
                <input type="hidden" asp-for="CompanyId" />
                <div class="form-group">
                    <label asp-for="CompanyName"></label>
                    <input asp-for="CompanyName" class="form-control"/>
                </div>
                <div class="form-group">
                    <label asp-for="Address"></label>
                    <input asp-for="Address" class="form-control" />
                    <span asp-validation-for="Address" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="ContactName"></label>
                    <input asp-for="ContactName" class="form-control" />
                    <span asp-validation-for="ContactName" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Email"></label>
                    <input asp-for="Email" class="form-control" />
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Description"></label>
                    <textarea asp-for="Description" class="form-control"></textarea>
                    <span asp-validation-for="Description" class="text-danger"></span>
                </div>
                <button type="submit" class="btn btn-default">Update</button>
            }
            else
            {
                <div asp-validation-summary="All" class="text-danger"></div>
                <input type="hidden" asp-for="CompanyId" />
                <div class="form-group">
                    <label asp-for="CompanyName"></label>
                    <input asp-for="CompanyName" class="form-control" style="pointer-events:none;" />
                </div>
                <div class="form-group">
                    <label asp-for="Address"></label>
                    <input asp-for="Address" class="form-control" style="pointer-events:none;"  />
                    <span asp-validation-for="Address" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="ContactName"></label>
                    <input asp-for="ContactName" class="form-control" style="pointer-events:none;"  />
                    <span asp-validation-for="ContactName" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Email"></label>
                    <input asp-for="Email" class="form-control" style="pointer-events:none;"  />
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Description"></label>
                    <textarea asp-for="Description" class="form-control" style="pointer-events:none;" ></textarea>
                    <span asp-validation-for="Description" class="text-danger"></span>
                </div>
            }
        </form>
    </div>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}
